/****************************************************************************\
*                                                                            *
*  Fishtank.cpp                                                              *
*                                                                            *
*  This program shows how to perform simple animation using Fastgraph for    *
*  Windows. Several types of tropical fish swim back and forth against a     *
*  coral reef background. The background image and fish sprites are stored   *
*  in PCX files.                                                             *
*                                                                            *
\****************************************************************************/

// Fishtank.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Fishtank.h"

#include "MainFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFishtankApp

BEGIN_MESSAGE_MAP(CFishtankApp, CWinApp)
	//{{AFX_MSG_MAP(CFishtankApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFishtankApp construction

CFishtankApp::CFishtankApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CFishtankApp object

CFishtankApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CFishtankApp initialization

BOOL CFishtankApp::InitInstance()
{
	// Standard initialization

	// Change the registry key under which our settings are stored.
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	m_pMainWnd = NULL;
	CMainFrame* pFrame = new CMainFrame;

	if (!pFrame->Create(NULL,"Fastgraph Fish Tank"))
		return FALSE;

	m_pMainWnd = pFrame;
	pFrame->ShowWindow(m_nCmdShow);
	pFrame->UpdateWindow();

	return TRUE;
}

int CFishtankApp::Run()
{
	if (!m_pMainWnd)
		AfxPostQuitMessage(0);

	MSG msg;
	CMainFrame* pFrame = STATIC_DOWNCAST(CMainFrame, m_pMainWnd);

	while (TRUE)
	{
		//see if there is a message waiting
		if (::PeekMessage(&msg, NULL, 0, 0, PM_NOREMOVE))
		{
			do //if there is pump all waiting
			{
				if (!PumpMessage())
					return ExitInstance();
			} while (::PeekMessage(&msg, NULL, 0, 0, PM_NOREMOVE));
		}
		else
		{
			if (!pFrame->m_bAppIsActive)
				WaitMessage();
			else
				pFrame->GoFish();
		}
	}
	return msg.wParam;
}

/////////////////////////////////////////////////////////////////////////////
// CFishtankApp message handlers
