//---------------------------------------------------------------------------
#ifndef GraphixUH
#define GraphixUH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Menus.hpp>
#include <FGwin.h>

#define vbWidth  640
#define vbHeight 480
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:   // IDE-managed Components
   TMainMenu *MainMenu1;
   TMenuItem *Points;
   TMenuItem *Lines;
   TMenuItem *Rectangles;
   TMenuItem *Circles;
   TMenuItem *Ellipses;
   TMenuItem *Polygons;
   TMenuItem *Paint;
   TMenuItem *Exit;
   void __fastcall FormActivate(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormPaint(TObject *Sender);
   void __fastcall FormResize(TObject *Sender);
   void __fastcall FormDestroy(TObject *Sender);
   void __fastcall PointsClick(TObject *Sender);
   void __fastcall LinesClick(TObject *Sender);
   void __fastcall RectanglesClick(TObject *Sender);
   void __fastcall CirclesClick(TObject *Sender);
   void __fastcall EllipsesClick(TObject *Sender);
   void __fastcall PolygonsClick(TObject *Sender);
   void __fastcall PaintClick(TObject *Sender);
   void __fastcall ExitClick(TObject *Sender);
private:   // User declarations
   HDC hDC;
   HPALETTE hPal;
   int hVB;
   int cxClient, cyClient;
   void __fastcall Blit(void);
public:      // User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
