/****************************************************************************\
*                                                                            *
*  Blend.cpp                                                                 *
*                                                                            *
*  This program illustrates some of the Fastgraph for Windows alpha blending *
*  functions.                                                                *
*                                                                            *
*  Press F1 to view the foreground image.                                    *
*  Press F2 to view the background image.                                    *
*  Press F3 to create and view a 50% blended image.                          *
*  Press F4 to create and view a variable blended image.                     *
*                                                                            *
\****************************************************************************/

// Blend.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "Blend.h"

#include "MainFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CBlendApp

BEGIN_MESSAGE_MAP(CBlendApp, CWinApp)
	//{{AFX_MSG_MAP(CBlendApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CBlendApp construction

CBlendApp::CBlendApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CBlendApp object

CBlendApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CBlendApp initialization

BOOL CBlendApp::InitInstance()
{
	// Standard initialization

	// Change the registry key under which our settings are stored.
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	m_pMainWnd = NULL;
	CMainFrame* pFrame = new CMainFrame;

	if (!pFrame->Create(NULL,"Alpha Blending Demo"))
		return FALSE;

	m_pMainWnd = pFrame;
	pFrame->ShowWindow(m_nCmdShow);
	pFrame->UpdateWindow();

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CBlendApp message handlers